
	//caracteres especiais 
	var com_acento = '.,:;!@#$%¨&-"“”®©?[]{}+';
	var sem_acento = '                       ';
	
	//numeros
	com_acento  += '1234567890';
	sem_acento  += '          ';

	//portugues espanhol	
	com_acento  += 'áàãâäéèêëíìîïóòõôöúùûü';
	sem_acento  += 'aaaaaeeeeiiiiooooouuuu';

	//portugues espanhol	
	com_acento += 'ÁÀÃÂÄÉÈÊËÍÌÎÏÓÒÕÖÔÚÙÛÜß';
	sem_acento += 'AAAAAEEEEIIIIOOOOOUUUUB';

	//croatian
	com_acento += 'çÇñÑčžšŠćářůíáěůŘéřýéěďđøÅåæÆ';
	sem_acento += 'cCnNczsscaruiaeureryeeddoaa  ';
	
	//vietnamese
	com_acento += 'ÀÁÂÃÈÉÊÌÍÒÓÔÕÙÚÝàáâãèéêìíòóôõùúýĂăĐÐđĨĩŨũƠơƯưẠạẢảẤấẦầẨẩẪẫẬậẮắẰằ';
	sem_acento += 'aaaaeeeiioooouuyaaaaeeeiioooouuyaadddiiuuoouuaaaaaaaaaaaaaaaaaa';
	
	com_acento += 'ẲẳẴẵẶặẸẹẺẻẼẽẾếỀềỂểỄễỆệỈỉỊịỌọỎỏỐốỒồỔổỖỗỘộỚớỜờỞởỠỡỢợỤụỦủỨứỪừỬửỮữỰựỲỳỴỵỶỷỸỹ';
	sem_acento += 'aaaaaaeeeeeeeeeeeeeeeeiiiioooooooooooooooooooooooouuuuuuuuuuuuuuyyyyyyyy';

	//latvian language
	com_acento += 'ĀāĒēĪīŪūČčĢģĶķĻļŅņŠšŽž';
	sem_acento += 'aaeeiiuuccggkkllnnsszz';
	
	//lithuanian language
	com_acento += 'ĄąĘęĖėĮįŲųŪūČčŠšŽž­';
	sem_acento += 'aaeeeeiiuuuuccsszz ';
	
	//general caracteres
	com_acento += 'ÀÁÂÃÄÅÆÇÈÉÊËÌÍÎÏÐÑÒÓÔÕÖ×ØÙÚÛÜÝÞßàáâãäåæçèéêëìíîïðñòóôõöøùúûü';
	sem_acento += 'aaaaaa ceeeeiiiidnoooooxouuuuypbaaaaaa ceeeeiiiionoooooouuuu';

	com_acento += 'ýþÿĀāĂăĄąĆćĈĉĊċČčĎďĐđĒēĖėĘęĚěĜĝĞğĠġĢĤĥĦħĨĩĪīĮįİıĲĳĴĵĶķĸĹĺĻļĽľ';
	sem_acento += 'ypyaaaaaaccccccccddddeeeeeeeeggggggghhhhiiiiiiii  jjkkkllllll';

	com_acento += 'ĿŀŁłŃńŅņŇňŉŊŋŌōŐőŒœŔŕŖŗŘřŚśŜŝŞşŠšŢţŤťŦŧŨũŪūŬŭŮůŰűŲųŴŵŶŷŸŹźŻżŽžƒƵǵ';
	sem_acento += 'llllnnnnnnnnnoooo  rrrrrrssssssssttttttuuuuuuuuuuuuwwyyyzzzzzzfzg';

	//greek language sem acento
	com_acento += 'ΑαΒβΓγΔδΕεΖζΗηΘθΙιΚκΛλΜμΝνΞξΟοΠπΡρΣσςΤτΥυΦφΧχΨψΩω';
	sem_acento += 'aabbccddeeffgghhiijjkkllmmnnooppqqrrrssttuuvvwwxx';
	
	//greek language acentuado
	com_acento += 'ἀῇίὁὐὸὶὴῆἡδὲἦόύἐάῦέὕἶήῶὅώὰἑἔῳὃὤὀὑἰῖὺἄῴἃὗῷὥᾶἕἠἴὼἱὄἢἅᾳῥᾔῃἷᾷἵὠἳὡἤὖἂἁἣὔἆἥὧ';
	sem_acento += 'agiotoigggoegoteatetigxoxaeexoxotiitaxatxxaegixioggaqggiaixixgtaagtagx';

	//hebrew language
	com_acento += 'ΑαΒβΓγΔδΕεΖζΗηΘθΙιΚκΛλΜμΝνΞξΟοΠπΡρΣσςΤτΥυΦφΧχΨψΩω';
	sem_acento += 'aabbccddeeffgghhiijjkkllmmnnooppqqrrrssttuuvvwwxx';
	
	//hebrew language
	//com_acento += 'אבגדהזזחטיכךלםמןנסעףפץצקרשוַ';
	//sem_acento += 'vutsrrqqponnmmlkkjihgfedcba';
	
	//luganda language
	com_acento += 'ŋ';
	sem_acento += 'n';

	//romanian language
	com_acento += 'îŞăţş';
	sem_acento += 'isats';

	//turkish language
	com_acento += 'ıöğüşİ';
	sem_acento += 'iogusi';

//SUBSTITUIR TODOS CARACTERES
function replaceAll(x,y,z){
	var resto=x;
	while (resto.search(y) != -1){
	resto=resto.replace(y,z);
	}
	x=resto;
	return x;
}

//REMOVER ACENTOS
function retira_acentos(vpalavra) {
 	var i = 0;
	
	vnova='';
	for(i=0;i<vpalavra.length;i++) {
		if (com_acento.search(vpalavra.substr(i,1))>=0) {
		vnova+=sem_acento.substr(com_acento.search(vpalavra.substr(i,1)),1);
		}
		else {
		vnova+=vpalavra.substr(i,1);
		}
	}
	vpalavra=vnova;
	return vpalavra;
	swipe();
}

//TROCAR MARCACOES ALFANUMERICAS
function trocarn(txt,acao) {
	var pi = '', cr = '', pf = '',txt2=txt, txt3='',avanco=0,tam=txt.length,y=0;

	if (acao=='ntoc'){
	txt=replaceAll(txt,'_01','1');
	txt=replaceAll(txt,'_02','2');
	txt=replaceAll(txt,'_03','3');
	txt=replaceAll(txt,'_04','4');
	txt=replaceAll(txt,'_05','5');
	txt=replaceAll(txt,'_06','6');
	txt=replaceAll(txt,'_07','7');
	txt=replaceAll(txt,'_08','8');
	txt=replaceAll(txt,'_09','9');
	txt=replaceAll(txt,'_10','0');

	}else{

	while ( y <= tam) {

	pi = txt2.substring(0,y);
	cr = txt2.substring(y,y+1);
	if (cr=='1')
	cr = cr.replace('1','_01');
	else if (cr=='2')
	cr = cr.replace('2','_02');
	else if (cr=='3')
	cr = cr.replace('3','_03');
	else if (cr=='4')
	cr = cr.replace('4','_04');
	else if (cr=='5')
	cr = cr.replace('5','_05');
	else if (cr=='6')
	cr = cr.replace('6','_06');
	else if (cr=='7')
	cr = cr.replace('7','_07');
	else if (cr=='8')
	cr = cr.replace('8','_08');
	else if (cr=='9')
	cr = cr.replace('9','_09');
	else if (cr=='0')
	cr = cr.replace('0','_10');
	if (cr>='_01'&&cr<='_10') avanco=2,tam+=2;
	else avanco=0;
	pf = txt2.substring(y+1,tam);
	y+=1+avanco;

	txt2=pi+cr+pf
	txt3='{'+pi+'}'+'('+cr+')'+'['+pf+']';
	txt=txt2;
	}
	}
	return txt;
}

//CONVERSAO ALFANUMERICA
function convert(txt,acao){
	var v1 = '' , vv2 = '', tm1=0 , tm2=1;

	for ( var i = 1 ; i < 28 ; i++ ) {

		if (i==1) {var v1 = 'A' , vv2 = '_11';}
		else if (i==2) {var v1 = 'B' , vv2 = '_12';}
		else if (i==3) {var v1 = 'C' , vv2 = '_13';}
		else if (i==4) {var v1 = 'D' , vv2 = '_14';}
		else if (i==5) {var v1 = 'E' , vv2 = '_15';}
		else if (i==6) {var v1 = 'F' , vv2 = '_16';}
		else if (i==7) {var v1 = 'G' , vv2 = '_17';}
		else if (i==8) {var v1 = 'H' , vv2 = '_18';}
		else if (i==9) {var v1 = 'I' , vv2 = '_19';}
		else if (i==10) {var v1 = 'J' , vv2 = '_20';}
		else if (i==11) {var v1 = 'K' , vv2 = '_21';}
		else if (i==12) {var v1 = 'L' , vv2 = '_22';}
		else if (i==13) {var v1 = 'M' , vv2 = '_23';}
		else if (i==14) {var v1 = 'N' , vv2 = '_24';}
		else if (i==15) {var v1 = 'O' , vv2 = '_25';}
		else if (i==16) {var v1 = 'P' , vv2 = '_26';}
		else if (i==17) {var v1 = 'Q' , vv2 = '_27';}
		else if (i==18) {var v1 = 'R' , vv2 = '_28';}
		else if (i==19) {var v1 = 'S' , vv2 = '_29';}
		else if (i==20) {var v1 = 'T' , vv2 = '_30';}
		else if (i==21) {var v1 = 'U' , vv2 = '_31';}
		else if (i==22) {var v1 = 'V' , vv2 = '_32';}
		else if (i==23) {var v1 = 'W' , vv2 = '_33';}
		else if (i==24) {var v1 = 'X' , vv2 = '_34';}
		else if (i==25) {var v1 = 'Y' , vv2 = '_35';}
		else if (i==26) {var v1 = 'Z' , vv2 = '_36';}
		else if (i==27) {var v1 = 'Æ' , vv2 = '_26';}

		if(acao=='cton'){
			txt=replaceAll(txt,v1,vv2);
			txt=replaceAll(txt,v1.toLowerCase(),vv2);
		} else {
			txt=replaceAll(txt,vv2,v1.toLowerCase());
		}
	}
		return txt;
}


String.prototype.stripHTML = function() {return this.replace(/<.*?>/g,' ');}

String.prototype.remParagrafo = function() {return this.replace(/\s/ig,' ');}

var xAlfa = 1;

var historico = '';
function xFator(num) {
	historico = '';

    var xVar1 = 0;
	var xVar2 = 0;
	
	for (var i = 2; i < num; i++) {
		if (num % i == 0) {
			//if(xVar1 == i && xVar2 == num/i) break;
			historico+=' '+(num/i)+'.'+i;
			xVar1 = num/i;
			xVar2 = i;
		}
	}
}

//CALCULO ALFANUMERICO
function af(texto) {
	
	$("#dsh, #daf, #dpg").prop("title","1");
	$("#dsh, #dpg").css("color","#aaa");
	$("#daf").html("g");
	var statusCampo = '';
	
	var alfaCampo = $(texto).text().remParagrafo();
	alfaCampo = replaceAll(alfaCampo,'montcalc',' ');
	alfaCampo = replaceAll(alfaCampo,'com',' ');
	alfaCampo = persistente(alfaCampo);
	alfaCampo = trim(replaceAll(retira_acentos(alfaCampo),'  ',' '));
	
	var verTexto = alfaCampo.indexOf("background");
	
		alfaCampo = alfaCampo.split(" ");
		//alert(alfaCampo.toString().remParagrafo());
		alfaCampo.sort();
		
		var verItem = "";
		for(i = 0; i < alfaCampo.length; i++) {
			if(verItem != alfaCampo[i] && alfaCampo[i].length>2) statusCampo += +' '+alfaCampo[i]+" ";
			verItem = alfaCampo[i];
		}
	
	
	alfaCampo = persistente(statusCampo);
	
	/*
	var n = alfaCampo.indexOf(" ");
	var n1 = alfaCampo.indexOf(" ",parseInt(n+1));
	
	var larg = alfaCampo.length;
	n1 = parseInt(n1);
	
	var prefixo = alfaCampo.substring(0,n1);
	alfaCampo = alfaCampo.substring(n1+1,larg);
	*/
	//alert(alfaCampo);
	
	//alert(n1);

	var m0 = trim(replaceAll(retira_acentos(alfaCampo),'  ',' '));
	var m1 = m0+' ';
	//m1 = m1.replace("?","")
	m1 = RemSpecialChars(m1);

	var m1=trocarn(m1,'cton');
	var mx = convert(m1,'cton');
	
	statusCampo = '';
	var m2 = '';

	while (mx.length > 0){
		m2 = '';
		var car=mx.indexOf(' ');
		m1=mx.substring(0,car);
		mx=mx.substring(car+1,mx.length);

		m1a=convert(m1,'ntoc');
		m1a=trocarn(m1a,'ntoc');

		var pos = m1.indexOf('_');
		
		while (pos > -1) {
			m1 = m1.replace('_',xAlfa==2?'*':'+'); pos = m1.indexOf('_');
		}
		m1 = m1.replace(xAlfa==2?'*':'+','');
		
		m2 = isNaN(m1a)?eval(m1):"";
		
		
		if(xAlfa==1) {
			statusCampo += '<div style="background:#fefefe;border-radius:5px;margin-bottom:5px;padding:3px;">+<span style="color:#8B0000;font-size:'+(trim(m1a.toLowerCase()).length<=8?160:120)+'%;">'+(trim(m1a.toLowerCase()))+'</span> <span style="color:#333;float:right;">'+m2+'</span></div>';
		} else if(xAlfa==2) {
			statusCampo += '<div style="background:#fefefe;border-radius:5px;margin-bottom:5px;padding:3px;">*<span style="color:#2E8B57;font-size:'+(trim(m1a.toLowerCase()).length<=8?160:120)+'%;">'+(trim(m1a.toLowerCase()))+'</span> <span style="color:#333;"> '+m2+'</span></div>';
		} else if(xAlfa==3) {
			xFator(m2);
			statusCampo += '<div style="background:#fefefe;border-radius:5px;margin-bottom:5px;padding:3px;">' + zero(m2,3) + ' .<span style="color:#104E8B;font-size:'+(trim(m1a.toLowerCase()).length<=8?160:120)+'%;">' + m1a + '</span> <span style="font-size:14px;">' + historico + '</span></div>,';
		}
	}
	
	if(xAlfa==3) {
		statusCampo = statusCampo.split(',');
		statusCampo.sort();
		statusCampo = statusCampo.toString();
		statusCampo = replaceAll(statusCampo,',','');
	}
	
	xAlfa++;
	if(xAlfa==4) xAlfa=1;
	
	var linkMontcalc = "<div class=menuTexto><a style='text-decoration:none;color:navy;' onclick='javascript:return openExternal(this)' href='https://montcalc.com' target='_blank'>montcalc.com</a></div>";

	if(verTexto==-1) $(texto).html(linkMontcalc+'<div onclick="af(\''+texto+'\');">'+statusCampo+'</div>');
	//statusCampo.length=0;
	//statusCampo='';
	//alert($(texto).hrml());
	swipe();
}
