/*
|--------------------------------------------------------------------------
| UItoTop jQuery Plugin 1.2 by Matt Varone
| http://www.mattvarone.com/web-design/uitotop-jquery-plugin/
|--------------------------------------------------------------------------
*/
(function($){
	$.fn.UItoTop = function(options) {

 		var defaults = {
    			text: 'To Top',
    			min: 400, //200
    			inDelay:0, //600
    			outDelay:0, //400
      			containerID: 'toTop',
    			containerHoverID: 'toTopHover',
    			scrollSpeed: 777,
    			easingType: 'linear'
 		    },
            settings = $.extend(defaults, options),
            containerIDhash = '#' + settings.containerID,
            containerHoverIDHash = '#'+settings.containerHoverID;
		
		$('body').append('<a href="#" id="'+settings.containerID+'">'+settings.text+'</a>');
		$(containerIDhash).hide().on('click.UItoTop',function(){
			$('html, body').animate({scrollTop:0}, settings.scrollSpeed, settings.easingType);
			//$('#'+settings.containerHoverID, this).stop().animate({'opacity': 0 }, settings.inDelay, settings.easingType);
			return false;
		})
		.prepend('<span id="'+settings.containerHoverID+'"></span>')
		
		/*
		.hover(function() {
				$(containerHoverIDHash, this).stop().animate({
					'opacity': 1
				}, 0, 'linear'); //600
			}, function() { 
				$(containerHoverIDHash, this).stop().animate({
					'opacity': 0
				}, 0, 'linear'); //700
			});
		*/
					
		$(window).scroll(function() {
			var sd = $(window).scrollTop();
			
			/*
			if(typeof document.body.style.maxHeight === "undefined") {
				$(containerIDhash).css({
					'position': 'absolute',
					'top': sd + $(window).height() - 50
				});
			}
			*/
			
			if ( sd > settings.min ) 
				$(containerIDhash).show();
			else 
				$(containerIDhash).hide();
			
		});
};
})(jQuery);